/*
 * ProjectInfo.java - stores information about project
 * Copyright (C) 1999-2000 Lubos Balat
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package sk.jeeff.shed.project;

import java.io.Serializable;
import java.io.*;

import java.util.*;
import sk.jeeff.shed.*;

public class ProjectInfo implements Serializable
{
   private String projectName;
   private String projectLeader;
   private String[] projectMembers;
   private String localPath;
   private Vector projectTree;

   //meno cloveka ktory to ma u seba na disku
   public static String myName="";

   public ProjectInfo()
   {
      projectName="noname project";
      projectLeader="Unnamed leader";
      projectMembers=new String[]{"user1", "user2"};
      localPath="g:\\projects\\unnamed project\\";
      projectTree=new Vector();
   }

   public void setProjectName(String name)
   {
      projectName=name;
   }

   public void setProjectLeader(String leader)
   {
      projectLeader = leader;
   }

   public void setProjectMembers(String[] members)
   {
      projectMembers=members;
   }

   public void setLocalPath(String path)
   {
      localPath=path;
   }

   public void setProjectTree(Vector tree)
   {
      projectTree=tree;
   }

   public String getProjectName()
   {
      return(projectName);
   }

   public String getProjectLeader()
   {
      return(projectLeader);
   }

   public String[] getProjectMembers()
   {
      return(projectMembers);
   }

   public String getLocalPath()
   {
      return(localPath);
   }

   public Vector getProjectTree()
   {
      return(projectTree);
   }

   public String getMyName()
   {
       return(ProjectInfo.myName);
   }

   public void setMyName(String myName)
   {
      ProjectInfo.myName=myName;
      System.out.println("PROJECT: setting myName: "+ProjectInfo.myName);
   }

   private void writeObject(ObjectOutputStream s) throws IOException
   {
      s.defaultWriteObject();
      s.writeObject((Object)ProjectInfo.myName);
   }

   private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
   {
      s.defaultReadObject();
      ProjectInfo.myName=(String)s.readObject();
   }
}