/*
 * shed.java - shed main file
 * Copyright (C) 1999-2000 Lubos Balat
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package sk.jeeff.shed;

import javax.swing.UIManager;
import java.awt.*;
import sk.jeeff.shed.gui.*;

public class shed
{
   boolean packFrame = false;

   //Construct the application
  public shed()
   {
      f_main frame = new f_main();
      //Validate frames that have preset sizes
      //Pack frames that have useful preferred size info, e.g. from their layout
      if (packFrame)
         frame.pack();
      else
         frame.validate();
      //Center the window
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      Dimension frameSize = frame.getSize();
      if (frameSize.height > screenSize.height)
         frameSize.height = screenSize.height;
      if (frameSize.width > screenSize.width)
         frameSize.width = screenSize.width;
      frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
      frame.setVisible(true);
   }

   //Main method
  public static void main(String[] args)
   {
      try
      {
         UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
      }
      catch(Exception e)
      {
      }
      SplashScreen splash = new SplashScreen();
      //splash.pack();

      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      Dimension splashSize = splash.getSize();
      splash.setLocation((screenSize.width - splashSize.width) / 2, (screenSize.height - splashSize.height) / 2);
      splash.setVisible(true);
      
      new shed();
      splash.setVisible(false);
   }
}