/*
 * ShedTools.java - global use tools for shed
 * Copyright (C) 1999-2000 Lubos Balat
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

 package sk.jeeff.shed;

 import java.io.*;

 public class ShedTools
 {

    static public String convertPathSeparatorToSystem(String fileName)
    {
       fileName = fileName.replace('\\', '/');
       fileName = fileName.replace('/', File.separatorChar);
       return (fileName);
    }

    static public String convertPathSeparatorToInternal(String fileName)
    {
       fileName = fileName.replace('\\', '/');
       return (fileName);
    }

    //return the path to filename
    static public String getOnlyPath(String fileName)
    {
       fileName = fileName.replace('\\', '/');

       int index=fileName.lastIndexOf('/');

       if (index==-1) return("");
       fileName=fileName.substring(0,index);
       return(fileName);
    }
 }